using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] plata = new int[n];
            double[] posto = new double[n];
            for(int i = 0; i < n; i++)
            {
                string[] f = Console.ReadLine().Split(' ');
                plata[i] = int.Parse(f[0]);
                posto[i] = Double.Parse(f[1]);
            }
            double zarada = 0, trenutno = 0;
            for(int i = 0; i < n; i++)
            {
                int suma = 0;
                for (int j = 0; j < n; j++)
                {
                    if (posto[j] >= posto[i])   suma += plata[j];
                }
                trenutno = suma * (posto[i] / 100.0);
                if (trenutno > zarada) zarada = trenutno;
            }
            Console.WriteLine(zarada);
        }
    }
}